de.esprit.netsuite.server.abo.loadmeter

## Class AbstractLevelMeterABO

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.server.core.AccessibleServerObject<C,S>
        - - de.esprit.netsuite.server.abo.AbstractABO<C,S,I>
          - - de.esprit.netsuite.server.abo.AbstractSingletonABO<ClientContext,ServerContext,AbstractLevelMeterABO>
            - - de.esprit.netsuite.server.abo.loadmeter.AbstractLevelMeterABO

- All Implemented Interfaces:
    Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, ClientAccessible, CrossPlatformObject<ClientContext,ServerContext>, AliveBusinessObject<ClientContext,ServerContext,AbstractLevelMeterABO>, RemoteLockable, ServerObject<ServerContext>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable
  Direct Known Subclasses:
    ClientMeterABO, MessageMeterABO, RequestMeterABO, TaskMeterABO

      public abstract class AbstractLevelMeterABO
      extends AbstractSingletonABO<ClientContext,ServerContext,AbstractLevelMeterABO>

  This is the base class for all server statistics tracking ABOs.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.netsuite.server.abo.AbstractABO

      `updateCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLevelMeterABO(ClientContext clientCtx)`
    `AbstractLevelMeterABO(ServerContext serverCtx)`
    `AbstractLevelMeterABO(ServerContext serverCtx, int initialMax)`
    `AbstractLevelMeterABO(ServerContext serverCtx, int initialMax, int initialMin)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBounds()`
    `void` | `clearCurrentValue()`
    `void` | `clearLowerBound()`
    `void` | `clearUpperBound()`
    `void` | `fitRangeToBounds()`
    `int` | `getCurrentValue()`
    `int` | `getLowerBound()`
    `int` | `getMaxValue()`
    `int` | `getMinValue()`
    `int` | `getUpperBound()`
    `protected void` | `initForValue(int initialValue)`
    `protected void` | `overtakeABOValues(AbstractLevelMeterABO inst)` Must be implemented by subclasses to copy their instance values
    `void` | `resetRangeToInitial()`
    `protected int` | `roundBoundaryValue(java.math.RoundingMode mode, int value)`
    `void` | `setCurrentValue(int value)`
    `void` | `setMaxValue(int max)`
    `void` | `setMinValue(int min)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `protected void` | `updateOnServer()` Needs only be overridden to ensure persistence before ABO is replaced in the cache.

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractSingletonABO

      `createEditDialog, createPrimaryKey, fetch, getRenderIcon, instantiateOnServer, isCacheResident`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractABO

      `addChangeListener, clone, compareTo, copy, copyABOValues, create, createChangeGate, createOnServer, delete, deleteOnServer, drop, dropOnServer, equals, fetch, findCachedABOs, fireABOInitialized, getPrimaryKey, getRenderColor, getRenderText, getResourceName, getResourceType, getUpdateCount, hashCode, isbeingAccessed, isLockedByMe, isNumb, isOnline, isVisibleInClientMonitor, receivedUpdateEvent, refetch, removeChangeListener, setLocked, setNumb, update, update`

    - ### Methods inherited from class de.esprit.netsuite.server.core.AccessibleServerObject

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setClientContext, setLogChannel, setServerContext`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.ClientAccessible

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

- - ### Constructor Detail

    - #### AbstractLevelMeterABO

          public AbstractLevelMeterABO(ClientContext clientCtx)

    - #### AbstractLevelMeterABO

          public AbstractLevelMeterABO(ServerContext serverCtx)

    - #### AbstractLevelMeterABO

          public AbstractLevelMeterABO(ServerContext serverCtx,
                               int initialMax)

    - #### AbstractLevelMeterABO

          public AbstractLevelMeterABO(ServerContext serverCtx,
                               int initialMax,
                               int initialMin)

  - ### Method Detail

    - #### initForValue

          protected void initForValue(int initialValue)

    - #### getMaxValue

          public int getMaxValue()

    - #### getUpperBound

          public int getUpperBound()

    - #### getCurrentValue

          public int getCurrentValue()

    - #### getLowerBound

          public int getLowerBound()

    - #### getMinValue

          public int getMinValue()

    - #### setCurrentValue

          public void setCurrentValue(int value)

    - #### setMaxValue

          public void setMaxValue(int max)

    - #### setMinValue

          public void setMinValue(int min)

    - #### clearCurrentValue

          public void clearCurrentValue()

    - #### clearBounds

          public void clearBounds()

    - #### clearUpperBound

          public void clearUpperBound()

    - #### clearLowerBound

          public void clearLowerBound()

    - #### fitRangeToBounds

          public void fitRangeToBounds()

    - #### resetRangeToInitial

          public void resetRangeToInitial()

    - #### updateOnServer

          protected void updateOnServer()
                                 throws java.lang.Exception

      Description copied from class: `AbstractABO`
      Needs only be overridden to ensure persistence before ABO is replaced in the cache.
      Overrides:
        `updateOnServer` in class `AbstractABO<ClientContext,ServerContext,AbstractLevelMeterABO>`
      Throws:
        `java.lang.Exception`

    - #### overtakeABOValues

          protected void overtakeABOValues(AbstractLevelMeterABO inst)

      Description copied from class: `AbstractABO`
      Must be implemented by subclasses to copy their instance values
      Specified by:
        `overtakeABOValues` in class `AbstractABO<ClientContext,ServerContext,AbstractLevelMeterABO>`

    - #### roundBoundaryValue

          protected int roundBoundaryValue(java.math.RoundingMode mode,
                               int value)

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractABO<ClientContext,ServerContext,AbstractLevelMeterABO>`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `AbstractABO<ClientContext,ServerContext,AbstractLevelMeterABO>`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.